<template>
  <main>
    <section class="white-section">
      <slot
        v-if="$slots.alert"
        name="alert"
      />
      <form
        v-else
        class="form blue-box"
        @submit.prevent="submit"
      >
        <nuxt-link
          class="back-history-link"
          :to="previousStep"
        >
          Précédent
        </nuxt-link>
        <slot
          name="form"
        />
      </form>

      <slot name="footer" />
    </section>
  </main>
</template>

<script>
export default {
  props: {
    displayForm: {
      type: Boolean,
      default: true,
    },
    previousStep: {
      type: Object,
      default: () => ({}),
    },
  },
  methods: {
    submit($event) {
      this.$emit('submit', $event);
    },
  },
};
</script>

<style lang="scss" scoped>
  @import "~assets/css/head";
  .back-history-link {
    color: $blue-light;
    font-weight: 700;
    font-size: .8em;
    text-transform: uppercase;
    text-decoration: underline;
    position: absolute;
    top: 5em;
    left: -7em;
  }

  .form {
    position: relative;
    max-width: 800px;
    margin: 0 auto;
    z-index: 20;
    opacity: 1;
    bottom: 3em;
    .title {
      text-align: center;
    }
    /deep/ .field {
      margin: .5em;
    }
    &.blue-box {
      background: $blue-dark;
      border: 2px solid $primary;
      border-radius: 13px;
      padding: $gap;
      box-sizing: border-box;
      a {
        text-decoration: underline;
        font-weight: bold;
      }
    }

    .fields-box {
      padding-bottom: 1em;
      /deep/ .label {
        color: $blue-light;
      }
      /deep/ .input {
        border: none;
        color: $white;
        font-weight: bold;
        border-bottom: 1px solid $primary;
      }
      /deep/.multiselect {
        border-bottom: 1px solid $primary;
        &__select {
          border: 0;
          &:before {
            border-color: $primary transparent transparent;
          }
        }
        &__tags, &__single, &__input {
          background: transparent;
          color: $white;
          font-weight: bold;
          border: 0;
        }
      }
    }

    .footer {
      flex-direction: column;
      .button {
        padding: .5em 3em;
      }
    }
  }

@media screen and (max-width: 600px) {
  .form {
    bottom: 0;
    &.blue-box {
      border: none;
      border-radius: 0;
    }
  }

  .back-history-link {
    display: none;
  }
}
</style>
